

void TXmitData (void) {
 

  mySerial.print(F("ActPow.val="));
  mySerial.print((int)ActPower);      // Tranmit ActPower Variable (from OB115 Meter) to Nextion ,+ve values are import, -Ve for export
  mySerial.write(ndt,3);              // command terminated by sending (0xff) 3 times

 if((millis()-LastTXmit)>350){        //To keep update rate of ActPow.val high, we time share & slowly sent other values in sequence
   
  switch(TXmitCycle) {
     
  case 0: 
    mySerial.print(F("InvPow.val="));
    mySerial.print((int)InverterPower);  // Whrs value as text we want to send
    mySerial.write(ndt,3);              // command terminated by sending (0xff) 3 times
   
   break;   
    
  case 1: 
    mySerial.print(F("VAC.val="));
    mySerial.print((int)(ACVolts*10.0));   // Whrs value as text we want to send
    mySerial.write(ndt,3);                // commands terminated by sending (0xff) 3 times       
    
   break;
   
  case 2: 
    mySerial.print(F("PVVolt.val="));
    mySerial.print((int)PV_Volts);    //Send PV Volts;             
    mySerial.write(ndt,3);
  
  break;
    
  case 3:  
    mySerial.print(F("PVAmp.val="));
    mySerial.print((int)(PV_Amps*10.0));     //Send PV Volts;        
    mySerial.write(ndt,3);
   
   break;
  
  }
  
  TXmitCycle++;
 
  if(TXmitCycle==4){
     TXmitCycle= 0;
     }
  
  LastTXmit=millis();
  }
 }
      


/***********************************************************************************************************
void UpdateNextionTemps(void) {
  const byte ndt[3] = {255,255,255};   // Nextion commands are terminated by sending (0xff) 3 times
  //Bottom Temp
  int BarWidth = BottomTemp * 10;
  mySerial.print(F("BotC.val="));  // Lower Temp progress Bar size & position values X, Y, W, H = 14,187,65,37)
  mySerial.print(BarWidth);      // This sets width of the image cropped from the active colured bar image.
  mySerial.write(ndt,3);             // command terminated by sending (0xff) 3 times
 
*/
